Ruby LSAPI 1.12 is release


#1

Hi,

We just released Ruby LSAPI 1.12 to address a bug that may cause a ruby
process running at 99% cpu under rare situation, and the API has been
improved slightly to match specifications of ruby’s IO class.

We recommend all of current LiteSpeed Ruby LSAPI users to upgrade to the
latest release.

If the old release is installed manually, please upgrade it manually, if
it is installed via “gem”, please upgrade it using “gem”.

Download:
http://www.litespeedtech.com/packages/lsapi/ruby-lsapi-1.12.tar.gz

About Ruby LSAPI extension:
Ruby LSAPI is a Ruby extension which implements the highly optimized
LiteSpeed SAPI protocol between Ruby and LiteSpeed Server. In addition
to the best IPC (Inter Process Communication) performance among all Ruby
server APIs, LSAPI can also efficiently spawn ruby processes on demand.

Best Regards,
George W.
http://www.litespeedtech.com/


#2

Hi,

It turns out that the 1.12 release does not fix the 99% CPU bug
completely, so we released 1.13 to have it addressed for sure.
Immediate upgrade is highly recommended.

Best Regards,
George W.